<div class="col-sm-6 ">
  <form #lform="ngForm" autocomplete="off" (submit)="login(lform)">
    <div class="form-group">
      <label class="col-md-4 ">Email</label>
      <input type="email" name="LogEmail" #LogEmail="ngModel" [(ngModel)]="loginObject.EmailOrPhone"
             class="form-control" placeholder="Email Address/Phone" maxlength="50" tabindex="1" required>
    </div>
    <div *ngIf="LogEmail.invalid && (LogEmail.dirty || LogEmail.touched)" class="alert alert-danger">
      <div *ngIf="LogEmail.errors.required">
        Email Address is required.
      </div>
      <div *ngIf="LogEmail.errors.pattern">
        Invalid email address.
      </div>
    </div>



    <div class="form-group">
      <label class="col-md-4 ">Password</label>
      <input type="password" name="LogPassword" #LogPassword="ngModel" [(ngModel)]="loginObject.Password"
             class="form-control" placeholder="Password" required maxlength="30" tabindex="2">
    </div>
    <div *ngIf="LogPassword.invalid && (LogPassword.dirty || LogPassword.touched)" class="alert alert-danger">
      <div *ngIf="LogPassword.errors.required">
        Password is required.
      </div>

    </div>




    <div class="form-group">
      <div class="form-inline">
        <button class="btn btn-primary" (click)="register();" tabindex="4">Register</button>
        <button class="btn btn-primary" type="submit" [disabled]="lform.invalid" tabindex="3">Login</button>
      </div>
      
    </div>
  </form>
</div>
